Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691179 - Inappropriate user warnings reported when trying to add more bricks to the existing gluster volume
Summary: Inappropriate user warnings reported when trying to add more bricks to the ex...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhiv-1.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHHI-V 1.6
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1679109
Blocks: RHHI-V-1-6-Engineering-InFlight-BZs
TreeView+ depends on / blocked
 
Reported: 2019-03-21 04:00 UTC by bipin
Modified: 2019-04-02 13:46 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-4.3.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1679109
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description bipin 2019-03-21 04:00:08 UTC
Cloning the bug to RHHI for tracking purpose.

+++ This bug was initially created as a clone of Bug #1679109 +++

Description of problem:
-----------------------
With RHHI 1.6, gluster volumes of type distributed replicate and arbiter volumes will be supported.

When user tries to expand the volume, provide the appropriate warning.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
Not applicable

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
Not applicable

Expected results:
-------------------
Rephrase the warning message, such a way the drawback is explained but do not prevent them from adding brick by choosing words as 'not recommended'


Additional info:

--- Additional comment from Sahina Bose on 2018-10-08 10:12:20 UTC ---

Is this a Test Only requirement - or are there changes needed for initial deployment as well?

--- Additional comment from SATHEESARAN on 2019-01-07 11:39:53 UTC ---

(In reply to Sahina Bose from comment #1)
> Is this a Test Only requirement - or are there changes needed for initial
> deployment as well?

While adding the set of bricks to the volume, there is a additional info pops up,
stating, its advised to have new volume created. This is misleading.

The exact statement goes like this:
"Expanding gluster volume in a hyper-converged setup is not recommended as it could lead to degraded performance. To expand storage for cluster, it is advised to add additional gluster volumes.

Are you sure you want to continue?"

We should remove such warning note.

--- Additional comment from Sahina Bose on 2019-03-04 11:07:42 UTC ---

https://gerrit.ovirt.org/#/c/72883/ is the patch that added this warning. Kaustav, can you remove this?

Comment 1 bipin 2019-03-21 04:04:19 UTC
This bug can be added in document as known issue for RFE 1632144

Comment 2 SATHEESARAN 2019-03-29 19:08:43 UTC
The dependent bug is ON_QA and also placing this bug ON_QA

Comment 3 SATHEESARAN 2019-03-29 19:10:29 UTC
Tested with ovirt-engine-4.3.3

When adding brick from RHV Manager UI, there are no warnings pops up


Note You need to log in before you can comment on or make changes to this bug.